# Generated by Django 4.2.6 on 2023-11-13 07:11

from django.conf import settings
from django.db import migrations, models


class Migration(migrations.Migration):

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
        ('core', '0005_rename_models_product_slug'),
    ]

    operations = [
        migrations.RenameModel(
            old_name='camping',
            new_name='campaign',
        ),
        migrations.RenameModel(
            old_name='custormer',
            new_name='customer',
        ),
        migrations.RenameField(
            model_name='campaign',
            old_name='nombre',
            new_name='name',
        ),
        migrations.RenameField(
            model_name='order',
            old_name='custormer',
            new_name='customer',
        ),
        migrations.RenameField(
            model_name='product',
            old_name='compaing',
            new_name='campaign',
        ),
        migrations.RemoveField(
            model_name='product',
            name='imagen',
        ),
        migrations.AddField(
            model_name='product',
            name='imagen1',
            field=models.ImageField(null=True, upload_to='media/'),
        ),
        migrations.AddField(
            model_name='product',
            name='imagen2',
            field=models.ImageField(null=True, upload_to='media/'),
        ),
        migrations.AddField(
            model_name='product',
            name='imagen3',
            field=models.ImageField(null=True, upload_to='media/'),
        ),
        migrations.AlterField(
            model_name='product',
            name='description',
            field=models.CharField(max_length=256),
        ),
        migrations.AlterField(
            model_name='product',
            name='slug',
            field=models.SlugField(max_length=6),
        ),
        migrations.AlterField(
            model_name='product',
            name='stock',
            field=models.IntegerField(default=0),
        ),
        migrations.DeleteModel(
            name='imagen',
        ),
    ]
